# Vac Request For Comments(RFC)

*NOTE*: This repo is WIP. We are currently restructuring the RFC process.

This repository contains specifications from the [Waku](https://waku.org/), [Nomos](https://nomos.tech/), 
[Codex](https://codex.storage/), and [Status](https://status.app/) projects that are part of the [IFT portfolio](https://free.technology/).
[Vac](https://vac.dev) is an [IFT service](https://free.technology/services) that will manage the RFC, [Request for Comments](https://en.wikipedia.org/wiki/Request_for_Comments), process within this repository. 

## New RFC Process

This repository replaces the previous `rfc.vac.dev` resource.
Each project will maintain initial specifications in separate repositories, 
which may be considered as a **raw** specification.
All [Vac](https://vac.dev) **raw** specifications and discussions will live in the Vac subdirectory.
When projects have reached some level of maturity for a specification living in their repository,
the process of updating the status to **draft** may begin in this repository.
Specifications will adhere to [1/COSS](./vac/1/coss.md) before obtaining **draft** status.

Implementations should follow specifications as described,
and all contributions will be discussed before the **stable** status is obtained.
The goal of this RFC process will to engage all interseted parities and 
reach a rough consensus for techcinal specifications.

## Contributing

Please see [1/COSS](./vac/1/coss.md) for general guidelines and specification lifecycle.

Feel free to join the [Vac discord](https://discord.gg/Vy54fEWuqC). 

Here's the project board used by core contributors and maintainers: [Projects](https://github.com/orgs/vacp2p/projects/5)

## IFT Projects' Raw Specifications

The repository for each project **raw** specifications:
- [Vac Raw Specifications](./vac/raw)
- [Status Raw Specifications](./status/raw)
- [Waku Raw Specificiations](https://github.com/waku-org/specs/tree/master)
- [Codex Raw Specifications]()
- [Nomos Raw Specifications](https://github.com/logos-co/nomos-specs)
